﻿@model TestJose.DataAccess.Project

@{
    ViewData["Title"] = "Details";
}

<div>
    <h4>Details Project</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.TypeProject)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.TypeProject.ID)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.ProjectSections)
        </dt>
        <dd class="col-sm-10">
            @foreach (var section in Model.ProjectSections)
            {
                <span class="badge badge-success">@Html.DisplayFor(model => section.Section.Name)</span>
            }
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.ProjectSites)
        </dt>
        <dd class="col-sm-10">
            @foreach (var projectSite in Model.ProjectSites)
            {
                <span class="badge badge-success">@Html.DisplayFor(model => projectSite.Site.Code)</span>
            }
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Year)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Year)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.ID">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>
